package h5_access_log

import (
	"context"
	"gd_access_log/apis"
	"gd_access_log/errors"
	"github.com/astaxie/beego/orm"
)

func H5LogQueryAccessLogThirdpartLog(ctx context.Context, req *apis.H5LogQueryAccessLogThirdpartLogReq, reply *apis.H5LogQueryAccessLogThirdpartLogReply) error {
	_, err := orm.NewOrm().QueryTable("t_gd_h5_thirdpart_access_log").Filter("access_id", req.AccessId).All(&reply.H5ThirdpartLogs)
	if err != nil && err != orm.ErrNoRows {
		return errors.DataBaseError
	}
	return nil
}
