package query

import (
	"context"
	"gd_service/apis"
	"encoding/json"
	"testing"
)

func Test_ServiceGetWashingVehicleIndex(t *testing.T) {
	req := apis.ServiceGetWashingVehicleIndexReq{AppKey: "111", ProvinceName: "北京市", RegionName: "北京市"}
	reply := apis.ServiceGetWashingVehicleIndexReply{}
	if err := xcli.Call(context.Background(), "ServiceGetWashingVehicleIndex", req, &reply); err != nil {
		t.Error("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		t.Log(string(d))
	}
}

/*
func Test_ServiceGetValuation(t *testing.T) {
	req := apis.ServiceGetValuationReq{PlateNo: "川A33E22", UtStyleId: 1134718, Mile: "30", Zone: "ii成都市", AppKey: "111", RegDate: "2018-10-01"}
	reply := apis.ServiceGetValuationReply{}
	if err := xcli.Call(context.Background(), "ServiceGetValuation", req, &reply); err != nil {
		t.Error("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		t.Log(string(d))
	}
}
*/
/*
func Test_ServiceGetViolation(t *testing.T) {
	req := apis.ServiceGetViolationReq{PlateNo:"川A33E22",PlateType:"02",Vin:"LFV2B25G6J5028435",EngineNo:"U37671",AppKey:"123456"}
req := apis.ServiceGetViolationReq{PlateNo:"川Q6005X",PlateType:"02",Vin:"LSGLP83X8HF083187",EngineNo:"163540027",AppKey:"123456"}
	reply := apis.ServiceGetViolationReply{}
	if err := xcli.Call(context.Background(), "ServiceGetViolation", req, &reply); err != nil {
		t.Error("failed to call: ", err)
	} else {
		d, _ := json.Marshal(reply)
		t.Log(string(d))
	}
}
*/
